# -*- coding: utf-8 -*-

import pymysql


class MySQLClient():

    def __init__(self, host, port, user, password, logger=None) -> None:
        self.logger = logger
        self.connection = pymysql.connect(
            host=host,
            port=port,
            user=user,
            password=password,
            charset='utf8mb4',
            cursorclass=pymysql.cursors.DictCursor
        )
        self.cursor = self.connection.cursor()
        if self.logger:
            self.logger.info('数据库连接成功')

    def query(self, sql):
        row_count = self.cursor.execute(sql)
        data = self.cursor.fetchall()
        return row_count, data

    def __del__(self):
        try:
            self.cursor.close()
            self.connection.close()
            print('dataset disconnected')
        except Exception as e:
            print(e)